glibmm: Gio::SimpleActionGroup Class Reference

glibmm 2.33.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::SimpleActionGroup Class Reference

SimpleActionGroup - A simple ActionGroup implementation. More...

`#include <giomm/simpleactiongroup.h>`

Inheritance diagram for Gio::SimpleActionGroup:
[legend]

List of all members.

## Public Member Functions
virtual | ~SimpleActionGroup ()
GSimpleActionGroup* | gobj ()
| Provides access to the underlying C GObject.
const GSimpleActionGroup* | gobj () const
| Provides access to the underlying C GObject.
GSimpleActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Action > | lookup (const Glib::ustring& action_name)
| Looks up the action with the name action_name in the group.
void | insert (const Glib::RefPtr< Action >& action)
| Adds an action to the action group.
void | remove (const Glib::ustring& action_name)
| Removes the named action from the action group.
## Static Public Member Functions
static Glib::RefPtr < SimpleActionGroup > | create ()
| Creates a new, empty, SimpleActionGroup.
## Protected Member Functions
| SimpleActionGroup ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gio::SimpleActionGroup > | wrap (GSimpleActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

SimpleActionGroup - A simple ActionGroup implementation.

SimpleActionGroup is a hash table filled with Action objects, implementing the ActionGroup interface.

Since glibmm 2.32:

## Constructor & Destructor Documentation

virtual Gio::SimpleActionGroup::~SimpleActionGroup | ( |  | ) | `[virtual]`

Gio::SimpleActionGroup::SimpleActionGroup | ( |  | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<SimpleActionGroup> Gio::SimpleActionGroup::create | ( |  | ) | `[static]`

Creates a new, empty, SimpleActionGroup.

Since glibmm 2.28:

Returns:
  A new SimpleActionGroup.

GSimpleActionGroup* Gio::SimpleActionGroup::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

const GSimpleActionGroup* Gio::SimpleActionGroup::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::ActionGroup.

GSimpleActionGroup* Gio::SimpleActionGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::SimpleActionGroup::insert | ( | const Glib::RefPtr< Action >& | action | ) |

Adds an action to the action group.

If the action group already contains an action with the same name as action then the old action is dropped from the group.

The action group takes its own reference on action.

Since glibmm 2.28:

Parameters:

  action | A Action.

Glib::RefPtr<Action> Gio::SimpleActionGroup::lookup | ( | const Glib::ustring& | action_name | ) |

Looks up the action with the name action_name in the group.

If no such action exists, returns `0`.

Since glibmm 2.28:

Parameters:

  action_name | The name of an action.

Returns:
  A Action, or `0`.

void Gio::SimpleActionGroup::remove | ( | const Glib::ustring& | action_name | ) |

Removes the named action from the action group.

If no action of this name is in the group then nothing happens.

Since glibmm 2.28:

Parameters:

  action_name | The name of the action.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::SimpleActionGroup > wrap | ( | GSimpleActionGroup * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.